Subject: RE: Git SVN non-standard branch/tag/trunk layout

From: "Albert Krawczyk" <[email-masked]>
Date: Tue, 14 Dec 2010 08:08:28 +1100

>Project 2 is an interesting one because it looks like the trunk is at the same level as branches/tags.  If that's the case, the 'branches' line above will work (it will treat >the trunk like any other branch -- a very Git-like approach).  Also note that those projects that didn't have a 'trunk' directory in SVN I added a 'trunk' on the Git side to >keep things consistent -- this is completely optional.
>
>Once you get comfortable with the rules governing the config lines, you can pretty much untangle any SVN layout.
>
>HTH,
>Stephen

Hi Stephen,

Thanks a lot! I thought this is what I had to do, and had through trial and (a lot of) error got to be very close. As far as I can see the only 'downside' of this approach is that you can't have the 'root' of the SVN repo checked out, you can only have the root of each project checked out, as they are all on their own ref. 

Thanks again for clarifying that,
Albert